using Otter;

namespace Puppyups.objects
{
    class SpinningLight : Entity
    {
        private Spritemap<string> _spriteMap;

        public SpinningLight(float x, float y)
        {
            X = x; Y = y;
            _spriteMap = new Spritemap<string>(Assets.SPINNINGLIGHT, 32, 32);
            _spriteMap.Add("main", new int[] { 0, 1, 2, 3 }, new float[] { 7f, 7f });
            _spriteMap.Play("main");
            _spriteMap.CenterOrigin();
            Graphic = _spriteMap;
        }
    }
}
